Package org.apache.ignite.internal.management.kill

## Class KillClientCommand

- java.lang.Object
- - org.apache.ignite.internal.management.kill.KillClientCommand

All Implemented Interfaces:
  `Command<KillClientCommandArg,​Void>`, `ComputeCommand<KillClientCommandArg,​Void>`

    public class KillClientCommand
    extends Object
    implements ComputeCommand<KillClientCommandArg,​Void>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`KillClientCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<KillClientCommandArg>` `argClass()`
`String` `description()` Command description.
`Void` `handleException​(Exception e, Consumer<String> printer)`
`Collection<GridClientNode>` `nodes​(Collection<GridClientNode> nodes, KillClientCommandArg arg)`
`Class<ClientConnectionDropTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`printResult`

### Constructor Detail

#### KillClientCommand

    public KillClientCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<KillClientCommandArg,​Void>`

#### argClass

    public Class<KillClientCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<KillClientCommandArg,​Void>`
Returns:
  Arguments class.

#### taskClass

    public Class<ClientConnectionDropTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<KillClientCommandArg,​Void>`
Returns:
  Task class.

#### nodes

    public Collection<GridClientNode> nodes​(Collection<GridClientNode> nodes,
                                            KillClientCommandArg arg)

Specified by:
  `nodes` in interface `ComputeCommand<KillClientCommandArg,​Void>`
Parameters:
  `nodes` - Live nodes.
  `arg` - Argument.
Returns:
  nodes to execute command on, `null` means default node must be used.

#### handleException

    public Void handleException​(Exception e,
                                Consumer<String> printer)
                         throws Exception

Specified by:
  `handleException` in interface `ComputeCommand<KillClientCommandArg,​Void>`
Parameters:
  `e` - Task execution exception to handle.
  `printer` - Implementation specific printer.
Returns:
  Result if the exception is suppressed.
Throws:
  `Exception`